From b8a1700f0b2a78723b2b463e5117e49fa7039e43 Mon Sep 17 00:00:00 2001
From: Pierre-Yves Chibon <pingou@pingoured.fr>
Date: Apr 14 2016 18:20:42 +0000
Subject: [PATCH 389/1001] Optimization and code style changed as suggested by @sayanchowdhury


---

diff --git a/hubs/widgets/github_pr.py b/hubs/widgets/github_pr.py
index 24c2dc8..5ee081a 100755
--- a/hubs/widgets/github_pr.py
+++ b/hubs/widgets/github_pr.py
@@ -42,10 +42,9 @@ def data(session, widget, display_number, organization):
         pulls.sort(lambda a, b: cmp(b['timestamp'], a['timestamp']))
 
         # Some hints for display
-        display_number = min(display_number, len(pulls))
-        more = len(pulls) - display_number
-        if more < 0:
-            more = 0
+        len_pulls = len(pulls)
+        display_number = min(display_number, len_pulls)
+        more = max(len_pulls - display_number, 0)
 
     return dict(
         organization=org,

